### Type parameters

- #### D

### Hierarchy

- NestedFilterDef<D>
- BaseDataFilter<D>
  - NestedFilter

## Index

### Properties

- attribute
- criterion
- op

### Methods

- filter

## Properties

### attribute

attribute: string

Inherited from NestedFilterDef.attribute

### criterion

criterion: NestedFilterDef<D> | AttributeFilterDef<D> | AttributeExprFilterDef<D> | ExtendedCompoundFilterDef<D>

Inherited from NestedFilterDef.criterion

### op

op: "$exists"

Inherited from NestedFilterDef.op

## Methods

### filter

- filter(item: D, index?: number, array?: D[]): boolean

- Inherited from BaseDataFilter.filter

  #### Parameters

  - ##### item: D

  - ##### Optional index: number

  - ##### Optional array: D[]

  #### Returns boolean

Generated using TypeDoc